import urlJoin from 'url-join';
export function urlToPlainObject(url) {
    const plainObject = {};
    for (const key in url) {
        if (typeof url[key] === 'string')
            plainObject[key] = url[key];
    }
    return plainObject;
}
export function parseUrl(url) {
    if (/^https?:\/\//i.test(url)) {
        return new URL(url);
    }
    return new URL(urlJoin('http://undefined/', url));
}
